using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ReflectionIT.Windows8.Helpers {
    
    public class Comparison<T> : IComparer<T> {

        private Func<T, T, int> _comparison;

        public Comparison(Func<T, T, int> comparison) {
            _comparison = comparison;
        }

        public int Compare(T x, T y) {
            return _comparison(x, y);
        }
    }
}
